<?php
/*
Plugin Name: Disable Password Change Email
Version: 1.0.1
Plugin URI: https://wordpress.org/plugins/disable-password-change-email/
Description: Turns off the automatic "Password Lost/Changed" email messages sent to the admin when a user resets password.
Author: Mass Edge Inc.
Author URI: https://www.massedge.com/
License: GPL3
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/

$pluginDirName = basename(dirname(__FILE__));
$pluginName = $pluginDirName . '/' . basename(__FILE__);

// do not initialize plugin if not active
if (in_array($pluginName, get_option('active_plugins')))
{
	// WP Version < 4.4.0
	if ( !function_exists( 'wp_password_change_notification' ) ) {
		function wp_password_change_notification() {}
	}

	// WP Version >= 4.4.0
	remove_action( 'after_password_reset', 'wp_password_change_notification' );
}
